Write a repository record, creating or updating it as needed. Requires auth, implemented by PDS.
POST
/xrpc/com.atproto.repo.putRecord
Request Body required
Section titled “Request Body required ”object
repo
required
The handle or DID of the repo (aka, current account).
string format: at-identifier
rkey
required
The Record Key.
string format: record-key
record
required
The record to write.
validate
Can be set to ‘false’ to skip Lexicon schema validation of record data, ‘true’ to require it, or leave unset to validate only for known Lexicons.
boolean
collection
required
The NSID of the record collection.
string format: nsid
swapCommit
Compare and swap with the previous commit by CID.
string format: cid
swapRecord
One of:
Compare and swap with the previous record by CID. WARNING: nullable and optional field; may cause problems with golang implementation
string format: cid
Responses
Section titled “ Responses ”Success
object
cid
required
string format: cid
uri
required
string format: uri
commit
object
cid
required
string format: cid
rev
required
string format: tid
validationStatus
string
Bad Request